ServerEvents.recipes(event => {
    event.replaceInput({mod: 'torchmaster'},
        'minecraft:diamond',
        '#kubejs:grist/intelligent/improved'
    );
    event.replaceInput({mod: 'torchmaster'},
        'minecraft:glowstone_dust',
        '#kubejs:grist/intelligent/basic'
    );
    event.replaceInput({mod: 'torchmaster'},
        'minecraft:gold_ingot',
        '#kubejs:grist/build/basic'
    );

    event.replaceInput({mod: 'torchmaster'},
        'minecraft:glowstone',
        'torchmaster:megatorch'
    );
});